%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

# define prerel
Name:           python-nltk
Epoch:          1
Version:        0.9.9
Release:        2%{?dist}
Summary:        Natural Language Toolkit

Group:          Development/Libraries
License:        GPLv2
URL:            http://www.nltk.org/
Source0:        http://nltk.googlecode.com/files/nltk-%{version}%{?prerel}.tar.gz
# Instead of using the version of yaml provided by this package, we use the one
# from PyYAML
# The yaml package provided by this package has been removed in upstream
# development branch
Patch0:         nltk-0.9.9-use-sys-yaml.patch
# fix 'import gtk' RuntimeError due to a Fedora-specific patch in pygtk2
Patch1:         nltk-0.9.9-avoid-gtk-runtime-error.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:      noarch

BuildRequires:  python2-devel tkinter
Requires:       numpy python-matplotlib tkinter PyYAML

%description
NLTK is a Python package that simplifies the construction of programs
that process natural language; and defines standard interfaces between
the different components of an NLP system.  It was designed primarily
to help teach graduate and undergraduate students about computational
linguistics; but it is also useful as a framework for implementing
research projects.


%prep
%setup -q -n nltk-%{version}%{?prerel}
%patch0 -p1 -b .use-sys-yaml
%patch1 -p1 -b .avoid-gtk-runtime-error


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

# Remove shebangs, which has been all removed in upstream development branch
pushd $RPM_BUILD_ROOT%{python_sitelib}
pushd nltk
sed -i -e '/^#!\//, 1d' downloader.py corpus/reader/toolbox.py \
    stem/{porter,rslp}.py test/{coverage,doctest_driver}.py \
    toolbox/{__init__,toolbox}.py app/{wxwordnet_app,nemo_app}.py
popd
pushd nltk_contrib
sed -i -e '/^#!\//, 1d' bioreader/bioreader.py \
    readability/{crawler,languageclassifier,textanalyzer,urlextracter,syllables_no}.py \
    toolbox/{data,normalise,etreelib,settings,iu_mien_hier,language}.py \
    lambek/{lambek,term,lexicon,typedterm}.py mit/six863/tagging/tagparse.py
# Fix EOL
sed -i 's|\r$||g' \
    readability/{syllables_{en,no},textanalyzer}.py
popd
popd


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt
%{python_sitelib}/nltk
%{python_sitelib}/nltk_contrib
%{python_sitelib}/nltk-*.egg-info


%changelog
* Wed May 19 2010 Robin Lee <robinlee.sysu@gmail.com> - 1:0.9.9-2
- Added a patch provided by Will Woods to avoid a RuntimeError when importing
  gtk

* Mon May 17 2010 Robin Lee <robinlee.sysu@gmail.com> - 1:0.9.9-1
- Update to 0.9.9 (#527148,#545521)
- Remove specifications for obsolete Fedora versions
- URL and Source0 URL revised
- Remove shebangs instead of making files executable

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.9.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1:0.9.2-2
- Rebuild for Python 2.6

* Mon Apr  7 2008 Michel Salim <salimma@fedoraproject.org> - 1:0.9.2-1
- Update to 0.9.2

* Sat Feb 23 2008 Michel Salim <michel.sylvan@gmail.com> - 1:0.9-2
- Use system PyYAML (bug #432329)

* Sun Jan 20 2008 Michel Salim <michel.sylvan@gmail.com> - 1:0.9-1
- Update to final 0.9
- Add Epoch to clear upgrade path from (old) 1.4.4

* Fri Sep 22 2007 Michel Salim <michel.sylvan@gmail.com> - 0.9-0.2.b2
- BR on tkinter, it is now needed at build time

* Fri Sep 21 2007 Michel Salim <michel.sylvan@gmail.com> - 0.9-0.1.b2
- Updated to 0.9b2
- Renamed back to python-nltk

* Mon Dec 18 2006 Michel Salim <michel.salim@gmail.com> - 0.6.6-2
- Rebuild for development branch

* Mon Oct 30 2006 Michel Salim <michel.salim@gmail.com> - 0.6.6-1
- Initial package
